---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend
  namespace: eav
spec:
  template:
    spec:
      containers:
      - name: backend
        image: cr.yandex/crp3ccidau046kdj8g9q/eav:prod_ddce2b51
        env:
        - name: DJANGO_SETTINGS_MODULE
          value: config.settings.production
        - name: ASSETS_TOPIC
          value: sarex
        - name: KAFKA_SSL_CAFILE
          value: /usr/local/share/ca-certificates/ca.crt
        - name: DJANGO_POSTGRES_HOST
          value: postgres-service
        - name: DJANGO_POSTGRES_DATABASE
          value: eav_db
        - name: YC_S3_ENDPOINT_URL
          value: http://minio-service.minio.svc.cluster.local:9000
        - name: YC_S3_BUCKET_NAME
          value: eav
